get
https://api.payment.sandbox.coinify.com/v1/settlements//transactions
This endpoint allows you to receive all the transaction that occurred within a single settlement.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
You must request a separate API key to call Settlements API endpoints.Please contact [email protected] with a request to obtain one.
Response Overview
In this section, the properties of the transactions array are described.
{
"transactions": [Transaction]
}Transaction Interface
| Property | Type | Description |
|---|---|---|
| merchantId | String or NULL | The ID of the merchant. |
| merchantName | String or NULL | The name of the merchant. |
| subaccountId | String or NULL | The ID of the subaccount. |
| subaccountName | String or NULL | The name of the subaccount. |
| referenceId | String or NULL | A unique identifier for the transaction reference type. |
| referenceType | String (Enum) | A curated list with all available reference types of the transactions. See below the Reference Type list for more details. |
| amount | String | The amount added or deducted from the balance for the specific transaction. |
| currency | String | The denomination currency of the amount. |
| orderId | String or NULL | The orderId of the entity. |
| customerId | String or NULL | The customer ID. |
| customerEmail | String or NULL | The customer email. |
| transactionTime | String (DateTime) | The UTC DateTime the transaction occurred. |
referenceType
The following table provides the available reference types for a transaction:
| Type | Description |
|---|---|
| adjustment | Manual positive or negative adjustment to the balance. |
| payment_intent | Balance increase due to a completed Payment Intent. |
| payment_intent_refund | Balance decrease due to a full or partial refund of a Payment Intent. |
| payment_intent_refund_fee | Balance decrease due to a refund fee incurred for the created refund. |
| payment_intent_refund_reversal | Balance increase due to a refund being cancelled by the merchant. |
| payment_intent_refund_fee_reversal | Balance increase due to a refund fee being cancelled. |
| withdrawal | Balance decrease due to a completed Withdrawal. |
| withdrawal_reversal | Balance increase due to cancellation of Withdrawal. |
| payout_fee | Balance decrease due to the payout. |
